cairomm: Cairo::LinearGradient Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions

# Cairo::LinearGradient Class Reference

Inherits Cairo::Gradient.

List of all members.

## Public Member Functions
| LinearGradient (cairo_pattern_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance.
void | get_linear_points (double& x0, double& y0, double& x1, double& y1) const
virtual | ~LinearGradient ()
## Static Public Member Functions
static RefPtr< LinearGradient > | create (double x0, double y0, double x1, double y1)
## Protected Member Functions
| LinearGradient (double x0, double y0, double x1, double y1)

## Constructor & Destructor Documentation

Cairo::LinearGradient::LinearGradient | ( | double | x0,
|  | double | y0,
|  | double | x1,
|  | double | y1 |
| ) |  |  | `[protected]`

Cairo::LinearGradient::LinearGradient | ( | cairo_pattern_t * | cobject,
|  | bool | has_reference = `false` |
| ) |  |  | `[explicit]`

Create a C++ wrapper for the C instance.

This C++ instance should then be given to a RefPtr.

Parameters:

  | cobject | The C instance.
  | has_reference | Whether we already have a reference. Otherwise, the constructor will take an extra reference.

virtual Cairo::LinearGradient::~LinearGradient | ( |  | ) | `[virtual]`

## Member Function Documentation

static RefPtr<LinearGradient> Cairo::LinearGradient::create | ( | double | x0,
|  | double | y0,
|  | double | x1,
|  | double | y1 |
| ) |  |  | `[static]`

void Cairo::LinearGradient::get_linear_points | ( | double & | x0,
|  | double & | y0,
|  | double & | x1,
|  | double & | y1 |
| ) |  |  | const

Parameters:

  | x0 | return value for the x coordinate of the first point
  | y0 | return value for the y coordinate of the first point
  | x1 | return value for the x coordinate of the second point
  | y1 | return value for the y coordinate of the second point

Gets the gradient endpoints for a linear gradient.

Since:
  1.4

The documentation for this class was generated from the following file:

- cairomm/pattern.h